com.jscape.inet.ssh.protocol.v2.marshaling.algorithms

## Class JceEncryptions

- java.lang.Object
- - com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.JceEncryptions

-     public class JceEncryptions
      extends java.lang.Object

  JCE-based encryption algorithms.
  Author:
    Alex Usun

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JceEncryptions.Entry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JceEncryptions.Entry` | `AES128_CBC`
    `static JceEncryptions.Entry` | `AES128_CTR`
    `static JceEncryptions.Entry` | `AES192_CBC`
    `static JceEncryptions.Entry` | `AES192_CTR`
    `static JceEncryptions.Entry` | `AES256_CBC`
    `static JceEncryptions.Entry` | `AES256_CTR`
    `static JceEncryptions.Entry[]` | `ALL`
    `static JceEncryptions.Entry` | `ARCFOUR`
    `static JceEncryptions.Entry` | `ARCFOUR128`
    `static JceEncryptions.Entry` | `ARCFOUR256`
    `static JceEncryptions.Entry` | `BLOWFISH_CBC`
    `static JceEncryptions.Entry` | `BLOWFISH_CTR`
    `static JceEncryptions.Entry` | `CAST_CBC`
    `static JceEncryptions.Entry` | `CAST_CTR`
    `static JceEncryptions.Entry[]` | `FIPS`
    `static JceEncryptions.Entry` | `IDEA_CBC`
    `static JceEncryptions.Entry` | `IDEA_CTR`
    `static JceEncryptions.Entry` | `NONE`
    `static JceEncryptions.Entry` | `SERPENT128_CBC`
    `static JceEncryptions.Entry` | `SERPENT128_CTR`
    `static JceEncryptions.Entry` | `SERPENT192_CBC`
    `static JceEncryptions.Entry` | `SERPENT192_CTR`
    `static JceEncryptions.Entry` | `SERPENT256_CBC`
    `static JceEncryptions.Entry` | `SERPENT256_CTR`
    `static JceEncryptions.Entry` | `THREE_DES_CBC`
    `static JceEncryptions.Entry` | `THREE_DES_CTR`
    `static JceEncryptions.Entry` | `TWOFISH_CBC`
    `static JceEncryptions.Entry` | `TWOFISH128_CBC`
    `static JceEncryptions.Entry` | `TWOFISH128_CTR`
    `static JceEncryptions.Entry` | `TWOFISH192_CBC`
    `static JceEncryptions.Entry` | `TWOFISH192_CTR`
    `static JceEncryptions.Entry` | `TWOFISH256_CBC`
    `static JceEncryptions.Entry` | `TWOFISH256_CTR`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JceEncryptionFactory` | `init(JceEncryptionFactory factory, JceEncryptions.Entry... entries)`
    `static JceEncryptionFactory` | `init(JceEncryptionFactory factory, java.security.Provider provider, JceEncryptions.Entry... entries)`
    `static JceEncryptionFactory` | `init(JceEncryptionFactory factory, java.lang.String provider, JceEncryptions.Entry... entries)`
    `static JceEncryptionFactory` | `initAll(JceEncryptionFactory factory)` Setups all implemented encryption algorithms.
    `static JceEncryptionFactory` | `initAllClient(JceEncryptionFactory factory)`
    `static JceEncryptionFactory` | `initAllClient(JceEncryptionFactory factory, java.security.Provider provider)`
    `static JceEncryptionFactory` | `initAllClient(JceEncryptionFactory factory, java.lang.String provider)`
    `static JceEncryptionFactory` | `initFipsClient(JceEncryptionFactory factory)`
    `static JceEncryptionFactory` | `initOptional(JceEncryptionFactory factory)` Setups optional encryption algorithms.
    `static JceEncryptionFactory` | `initOptional(JceEncryptionFactory factory, java.security.Provider provider)`
    `static JceEncryptionFactory` | `initOptional(JceEncryptionFactory factory, java.lang.String provider)`
    `static JceEncryptionFactory` | `initRecommended(JceEncryptionFactory factory)` Setups recommended encryption algorithms.
    `static JceEncryptionFactory` | `initRecommended(JceEncryptionFactory factory, java.security.Provider provider)`
    `static JceEncryptionFactory` | `initRecommended(JceEncryptionFactory factory, java.lang.String provider)`
    `static JceEncryptionFactory` | `initRequired(JceEncryptionFactory factory)` Setups required encryption algorithms.
    `static JceEncryptionFactory` | `initRequired(JceEncryptionFactory factory, java.security.Provider provider)`
    `static JceEncryptionFactory` | `initRequired(JceEncryptionFactory factory, java.lang.String provider)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final JceEncryptions.Entry NONE

    - #### THREE_DES_CBC

          public static final JceEncryptions.Entry THREE_DES_CBC

    - #### THREE_DES_CTR

          public static final JceEncryptions.Entry THREE_DES_CTR

    - #### BLOWFISH_CBC

          public static final JceEncryptions.Entry BLOWFISH_CBC

    - #### BLOWFISH_CTR

          public static final JceEncryptions.Entry BLOWFISH_CTR

    - #### TWOFISH128_CBC

          public static final JceEncryptions.Entry TWOFISH128_CBC

    - #### TWOFISH128_CTR

          public static final JceEncryptions.Entry TWOFISH128_CTR

    - #### TWOFISH192_CBC

          public static final JceEncryptions.Entry TWOFISH192_CBC

    - #### TWOFISH192_CTR

          public static final JceEncryptions.Entry TWOFISH192_CTR

    - #### TWOFISH_CBC

          public static final JceEncryptions.Entry TWOFISH_CBC

    - #### TWOFISH256_CBC

          public static final JceEncryptions.Entry TWOFISH256_CBC

    - #### TWOFISH256_CTR

          public static final JceEncryptions.Entry TWOFISH256_CTR

    - #### AES128_CBC

          public static final JceEncryptions.Entry AES128_CBC

    - #### AES128_CTR

          public static final JceEncryptions.Entry AES128_CTR

    - #### AES192_CBC

          public static final JceEncryptions.Entry AES192_CBC

    - #### AES192_CTR

          public static final JceEncryptions.Entry AES192_CTR

    - #### AES256_CBC

          public static final JceEncryptions.Entry AES256_CBC

    - #### AES256_CTR

          public static final JceEncryptions.Entry AES256_CTR

    - #### SERPENT128_CBC

          public static final JceEncryptions.Entry SERPENT128_CBC

    - #### SERPENT128_CTR

          public static final JceEncryptions.Entry SERPENT128_CTR

    - #### SERPENT192_CBC

          public static final JceEncryptions.Entry SERPENT192_CBC

    - #### SERPENT192_CTR

          public static final JceEncryptions.Entry SERPENT192_CTR

    - #### SERPENT256_CBC

          public static final JceEncryptions.Entry SERPENT256_CBC

    - #### SERPENT256_CTR

          public static final JceEncryptions.Entry SERPENT256_CTR

    - #### IDEA_CBC

          public static final JceEncryptions.Entry IDEA_CBC

    - #### IDEA_CTR

          public static final JceEncryptions.Entry IDEA_CTR

    - #### CAST_CBC

          public static final JceEncryptions.Entry CAST_CBC

    - #### CAST_CTR

          public static final JceEncryptions.Entry CAST_CTR

    - #### ARCFOUR

          public static final JceEncryptions.Entry ARCFOUR

    - #### ARCFOUR128

          public static final JceEncryptions.Entry ARCFOUR128

    - #### ARCFOUR256

          public static final JceEncryptions.Entry ARCFOUR256

    - #### ALL

          public static final JceEncryptions.Entry[] ALL

    - #### FIPS

          public static final JceEncryptions.Entry[] FIPS

  - ### Method Detail

    - #### init

          public static JceEncryptionFactory init(JceEncryptionFactory factory,
                                                  JceEncryptions.Entry... entries)

    - #### init

          public static JceEncryptionFactory init(JceEncryptionFactory factory,
                                                  java.lang.String provider,
                                                  JceEncryptions.Entry... entries)

    - #### init

          public static JceEncryptionFactory init(JceEncryptionFactory factory,
                                                  java.security.Provider provider,
                                                  JceEncryptions.Entry... entries)

    - #### initRequired

          public static JceEncryptionFactory initRequired(JceEncryptionFactory factory)

      Setups required encryption algorithms.
      Parameters:
        `factory` - a factory
      Returns:
        a factory

    - #### initRequired

          public static JceEncryptionFactory initRequired(JceEncryptionFactory factory,
                                                          java.lang.String provider)

    - #### initRequired

          public static JceEncryptionFactory initRequired(JceEncryptionFactory factory,
                                                          java.security.Provider provider)

    - #### initRecommended

          public static JceEncryptionFactory initRecommended(JceEncryptionFactory factory)

      Setups recommended encryption algorithms.
      Parameters:
        `factory` - a factory
      Returns:
        a factory

    - #### initRecommended

          public static JceEncryptionFactory initRecommended(JceEncryptionFactory factory,
                                                             java.lang.String provider)

    - #### initRecommended

          public static JceEncryptionFactory initRecommended(JceEncryptionFactory factory,
                                                             java.security.Provider provider)

    - #### initOptional

          public static JceEncryptionFactory initOptional(JceEncryptionFactory factory)

      Setups optional encryption algorithms.
      Parameters:
        `factory` - a factory
      Returns:
        a factory

    - #### initOptional

          public static JceEncryptionFactory initOptional(JceEncryptionFactory factory,
                                                          java.lang.String provider)

    - #### initOptional

          public static JceEncryptionFactory initOptional(JceEncryptionFactory factory,
                                                          java.security.Provider provider)

    - #### initAll

          public static JceEncryptionFactory initAll(JceEncryptionFactory factory)

      Setups all implemented encryption algorithms.
      Parameters:
        `factory` - a factory
      Returns:
        a factory

    - #### initAllClient

          public static JceEncryptionFactory initAllClient(JceEncryptionFactory factory)

    - #### initAllClient

          public static JceEncryptionFactory initAllClient(JceEncryptionFactory factory,
                                                           java.lang.String provider)

    - #### initAllClient

          public static JceEncryptionFactory initAllClient(JceEncryptionFactory factory,
                                                           java.security.Provider provider)

    - #### initFipsClient

          public static JceEncryptionFactory initFipsClient(JceEncryptionFactory factory)

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved